test: _ARBITER_PARAMETERS struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _ARBITER_PARAMETERS Struct Reference

`#include <pnp.h>`

List of all members.

## Public Attributes

union {
struct {
IN OUT PLIST_ENTRY ArbitrationList
IN ULONG AllocateFromCount
IN PCM_PARTIAL_RESOURCE_DESCRIPTOR AllocateFrom
} TestAllocation
struct {
IN OUT PLIST_ENTRY ArbitrationList
IN ULONG AllocateFromCount
IN PCM_PARTIAL_RESOURCE_DESCRIPTOR AllocateFrom
} RetestAllocation
struct {
IN OUT PLIST_ENTRY ArbitrationList
} BootAllocation
struct {
OUT PCM_PARTIAL_RESOURCE_LIST * AllocatedResources
} QueryAllocatedResources
struct {
IN PDEVICE_OBJECT PhysicalDeviceObject
IN PIO_RESOURCE_DESCRIPTOR ConflictingResource
OUT PULONG ConflictCount
OUT PARBITER_CONFLICT_INFO * Conflicts
} QueryConflict
struct {
IN PLIST_ENTRY ArbitrationList
} QueryArbitrate
struct {
PDEVICE_OBJECT ReserveDevice
} AddReserved
} | Parameters

## Member Data Documentation

struct { ... } _ARBITER_PARAMETERS::AddReserved

OUT PCM_PARTIAL_RESOURCE_LIST* _ARBITER_PARAMETERS::AllocatedResources

| Definition at line 639 of file pnp.h.

IN PCM_PARTIAL_RESOURCE_DESCRIPTOR _ARBITER_PARAMETERS::AllocateFrom

| Definition at line 621 of file pnp.h.

IN ULONG _ARBITER_PARAMETERS::AllocateFromCount

| Definition at line 615 of file pnp.h.

IN PLIST_ENTRY _ARBITER_PARAMETERS::ArbitrationList

| Definition at line 673 of file pnp.h.

IN OUT PLIST_ENTRY _ARBITER_PARAMETERS::ArbitrationList

| Definition at line 630 of file pnp.h.

struct { ... } _ARBITER_PARAMETERS::BootAllocation

OUT PULONG _ARBITER_PARAMETERS::ConflictCount

| Definition at line 658 of file pnp.h.

IN PIO_RESOURCE_DESCRIPTOR _ARBITER_PARAMETERS::ConflictingResource

| Definition at line 653 of file pnp.h.

OUT PARBITER_CONFLICT_INFO* _ARBITER_PARAMETERS::Conflicts

| Definition at line 663 of file pnp.h.

union { ... } _ARBITER_PARAMETERS::Parameters

| Referenced by IopCallArbiter().

IN PDEVICE_OBJECT _ARBITER_PARAMETERS::PhysicalDeviceObject

| Definition at line 648 of file pnp.h.

struct { ... } _ARBITER_PARAMETERS::QueryAllocatedResources

struct { ... } _ARBITER_PARAMETERS::QueryArbitrate

struct { ... } _ARBITER_PARAMETERS::QueryConflict

PDEVICE_OBJECT _ARBITER_PARAMETERS::ReserveDevice

| Definition at line 682 of file pnp.h.

struct { ... } _ARBITER_PARAMETERS::RetestAllocation

struct { ... } _ARBITER_PARAMETERS::TestAllocation

The documentation for this struct was generated from the following file:

- pnp.h